OpenTTD Source: FBlitter_40bppAnim Class Reference

OpenTTD Source 12.2

Public Member Functions | Protected Member Functions
FBlitter_40bppAnim Class Reference

Factory for the 40 bpp animated blitter (for OpenGL). More...

`#include <40bpp_anim.hpp>`

Inheritance diagram for FBlitter_40bppAnim:

## Public Member Functions
Blitter * | CreateInstance () override
| Create an instance of this Blitter-class.
Public Member Functions inherited from BlitterFactory
const std::string & | GetName () const
| Get the long, human readable, name for the Blitter-class.
const std::string & | GetDescription () const
| Get a nice description of the blitter-class.

## Protected Member Functions
bool | IsUsable () const override
| Is the blitter usable with the current drivers and hardware config? More...
Protected Member Functions inherited from BlitterFactory
| BlitterFactory (const char *name, const char *description, bool usable=true)
| Construct the blitter, and register it. More...

## Additional Inherited Members
Static Public Member Functions inherited from BlitterFactory
static Blitter * | SelectBlitter (const std::string &name)
| Find the requested blitter and return its class. More...
static BlitterFactory * | GetBlitterFactory (const std::string &name)
| Get the blitter factory with the given name. More...
static Blitter * | GetCurrentBlitter ()
| Get the current active blitter (always set by calling SelectBlitter).
static char * | GetBlittersInfo (char *p, const char *last)
| Fill a buffer with information about the blitters. More...

## Detailed Description

Factory for the 40 bpp animated blitter (for OpenGL).

Definition at line 52 of file 40bpp_anim.hpp.

## Member Function Documentation

## ◆ IsUsable()

bool FBlitter_40bppAnim::IsUsable | ( |  | ) | const
| inlineoverrideprotectedvirtual

Is the blitter usable with the current drivers and hardware config?

Returns
  True if the blitter can be instantiated.

Reimplemented from BlitterFactory.

Definition at line 54 of file 40bpp_anim.hpp.

References VideoDriver::GetInstance(), and VideoDriver::HasAnimBuffer().

The documentation for this class was generated from the following file:

- src/blitter/40bpp_anim.hpp